puppetrun is depreciated in puppet 2.6+

06/22/2011 09:12 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Corey Osman   

Category: Puppet   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

puppetrun has been renamed to "puppet kick" in puppet version 2.6+

This is from puppet enterprise but should be the same with non enterprise edition

puppetrun has been renamed to puppet kick

[root@puppet lib]# puppet

Usage: puppet command <space separated arguments>

Available commands are: agent, apply, cert, describe, doc, filebucket, kick, license, master, queue, resource

How will the single executable improve the ease of use of Puppet?

From verison 2.6.0 and onwards all the Puppet functions are also available via a single Puppet bin

ary, in the style of git. The list of binary changes    includes:

puppetmasterd –> puppet master

puppetd –> puppet agent puppet –> puppet apply

puppetca –> puppet cert

ralsh –> puppet resource

puppetrun –> puppet kick

puppetqd –> puppet queue

filebucket –> puppet filebucket

puppetdoc –> puppet doc

pi –> puppet

History

#1 - 07/03/2011 01:50 AM - Ohad Levy

- Category set to Puppet

- Assignee set to Corey Osman

- Target version set to 0.3

#2 - 07/03/2011 03:25 AM - Ohad Levy

- Status changed from New to Closed

fixed at 5835453b
